ResourcesSeller Payouts

Retrieve payout configuration

Read payout status, fee presentation, thresholds, and masked destination metadata.

GET
/v2/seller-payouts/configuration

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v2/seller-payouts/configuration"
{
  "data": {
    "status": "disabled",
    "currency": "USD",
    "minimum_payout_cents": 0,
    "payout_fee_cents": 0,
    "destination": {
      "type": "bank_account",
      "label": "Bank account ending in 4242"
    }
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}